Description: Disable SAL smartly
 Since our liblinphone cannot use SAL and TLS at the same time we must
 disable the former whenever the latter is enabled in the UI.
Last-Update: 2022-12-17
Author: Dennis Filder <d.filder@web.de>
--- a/linphone-app/ui/views/App/Settings/Dialogs/SettingsLdapEdit.qml
+++ b/linphone-app/ui/views/App/Settings/Dialogs/SettingsLdapEdit.qml
@@ -130,6 +130,7 @@
 							checked: ldapData.useTls
 							onClicked: {
 								ldapData.useTls = !checked
+								if (ldapData.useTls) ldapData.useSal = false
 							}
 							TooltipArea{
 								tooltipParent:useRow
@@ -143,6 +144,7 @@
 							id: useSal
 							anchors.verticalCenter: parent.verticalCenter
 							checked: ldapData.useSal
+							enabled: ldapData.useSal || !ldapData.useTls
 							onClicked: {
 								ldapData.useSal = !checked
 							}
@@ -156,6 +158,7 @@
 				}
 				FormLine{
 					id:useSalRow
+					enabled: ldapData.useTls
 					
 					FormGroup {
 						label: qsTr('verifyTLSLabel')//'Verify Certificates on TLS'
